:root {
	--default-green: #1db954;
	--light-green: #1ed760;
}

html, body {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	font-family: "Roboto", sans-serif;
}

/* Utility Classes */
.btn-primary {
	background: var(--default-green);
	color: white;
	text-transform: uppercase;
	padding: 15px 60px;
	border: none;
	border-radius: 30px;
	letter-spacing: 1px;
	font-weight: bold;
	transition: all 300ms ease;
}

.btn-primary:hover {
	background: var(--light-green);
	cursor: pointer;
}

.logo {
	height: 40px;
	width: auto;
}

/* Navbar */
#navbar {
	display: flex;
	background-color: rgba(0, 0, 0, 0.6);
	color: white;
	justify-content: center;
	position: fixed;
	top: 0;
	width: 100%;
}

#navbar .navbar-container {
	margin: 0 auto;
	width: 60%;
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 20px 0;
	position: relative;
	left: -165px;
}

#navbar .navbar-container ul {
	display: flex;
	list-style: none;
	font-weight: bold;
	font-weight: 400;
	font-size: 16px;
	margin: 0;
}

#navbar .navbar-container ul li {
	padding: 0 20px;
	transition: all 300ms ease;
	font-weight: 400;
	font-size: 16px;
	position: relative;
	right: -380px;
}

#navbar .navbar-container ul li:hover {
	color: #1db954;
	cursor: pointer;
}

#navbar .navbar-container ul li:nth-child(3) {
	border-right: 1px solid white;
}

/* Showcase */
#showcase {
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
	color: white;
	background: url("/spotify/spotify-img/showcase.jpg") center center/cover;
	background-color: rgba(0, 0, 0, 0.4);
	background-blend-mode: color;
}

#showcase .showcase-container {
	display: flex;
	flex-direction: column;
	align-items: center;
}

#showcase .showcase-container h2 {
	font-size: 5rem;
}

#showcase .showcase-container p {
	margin: 15px 0;
	font-size: 1.1rem;
}

/* Footer */
#footer {
	background: black;
	color: white;
	padding: 80px 0;
}

/* finalizado */
#footer .footer-content {
	display: flex;
	width: 50%;
	margin: auto;
	justify-content: space-between;
	position: relative;
	left: -230px;
	bottom: 5px;
	margin: 0 auto;
}

#footer .footer-content .footer-menu {
	margin: 0; 
    padding: 0; 
	list-style: none;
	position: relative;
	left: 70px;
	bottom: -20px;
	box-sizing: border-box;
	display: block;
	margin-inline-start: 0px;
	
}

#footer .footer-content .footer-menu .footer-menu-item {
	margin: 35px 0;
	transition: all 300ms ease;
	position: relative;
	width: 195px;
	height: 10px;
	font-weight: 400;
	font-size: 16px;
	box-sizing: border-box;
	display: block;
    margin-inline-start: 0px;
	line-height: 1.5;
	bottom: 13px;
}

#footer .footer-content .footer-menu .footer-menu-item:hover {
	color: var(--default-green);
	cursor: pointer;
}

#footer .footer-content .footer-menu p {
	font-weight: bold;
	text-transform: uppercase;
	color: #919496;
	font-size: 0.7rem;
	letter-spacing: .08em;
	line-height: 1.4;
	font-size: 12px;
	font-weight: 900;
}

/* Footer Socials*/
.socials {
	display: flex;
	position: flex;
	margin-left: 250px;
	bottom: -20px;
}

.socials i {
	margin: 0 20px;
	font-size: 1.7rem;
	transition: all 300ms ease;
}

.socials i:hover {
	color: var(--default-green);
	cursor: pointer;
}

/* Footer Info */
.footer-info {
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
	width: 60%;
	font-weight: bold;
	color: #919496;
	font-size: 0.75rem;
	padding-top: 50px;
	margin: 0 auto;
}

.footer-info .footer-info-items {
	display: flex;
	list-style: none;
	position: relative;
	left: -175px;
	bottom: -25px;
	margin: 0; 
    padding: 0; 
}

.footer-info .footer-info-items .footer-info-item {
	margin: 0 10px;
	transition: all 300ms ease;
	font-weight: 400;
	position: relative;
	left: 10px;
}

.footer-info .footer-info-items .footer-info-item:hover {
	color: var(--default-green);
	cursor: pointer;
}

.footer-info .rights .country {
	position: relative;
	display: flex;
	justify-content: flex-end;
	align-items: center;
	margin-bottom: 10px;
	right: -160px;
	bottom: -34px;
	margin: 0;
}

.footer-info .rights .country p {
	transition: all 300ms ease;
	font-weight: 400;
}

.footer-info .rights .country p:hover {
	color: var(--default-green);
	cursor: pointer;
}
